Package org.gradle.caching

## Interface BuildCacheServiceFactory.Describer

- Enclosing interface:
    BuildCacheServiceFactory<T extends BuildCache>

      public static interface BuildCacheServiceFactory.Describer

  Builder-style object that allows build cache service factories to describe the cache service.

  The description is for human consumption. It may be logged and displayed by tooling.

  Since:
    4.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BuildCacheServiceFactory.Describer` | `config​(java.lang.String name, java.lang.String value)` | Sets a configuration param of the cache being used.
    `BuildCacheServiceFactory.Describer` | `type​(java.lang.String type)` | Sets the description of the type of cache being used.

- - ### Method Detail

    - #### type

          BuildCacheServiceFactory.Describer type​(java.lang.String type)

      Sets the description of the type of cache being used.

      The value should not include particulars about the cache; only a human friendly description of the kind of cache. For example, instead of `"HTTP @ https://some/cache"` it should be just `"HTTP"`. Particular configuration should be set via `config(String, String)`.

      `BuildCacheServiceFactory` implementations should always return the same value for the same cache “type”. All implementations should call this method.

      Values should be lowercase, except where using an acronym (e.g. HTTP).

      Subsequent calls to this method replace the previously set value.

    - #### config

          BuildCacheServiceFactory.Describer config​(java.lang.String name,
                                                    java.lang.String value)

      Sets a configuration param of the cache being used.

      e.g. `config("location", "https://some/cache")`.

      Values may be logged. Secrets (e.g. passwords) should not be declared with this method.

      Implementations should describe their config where possible.

      Subsequent calls to this method with the same `name` argument will replace the previously supplied `value` argument.

      Subsequent calls to this method with different `name` arguments will append values.